import 'package:equatable/equatable.dart';

abstract class RegisterMemberShipState extends Equatable {
  RegisterMemberShipState([List props = const []]) : super();

  @override
  List<Object> get props => [];
}

class RegisterMemberShipSuccess extends RegisterMemberShipState {
  @override
  String toString() {
    return 'RegisterMemberShipSuccess{}';
  }
}

class RegisterMemberShipInitial extends RegisterMemberShipState {
  @override
  String toString() {
    return 'RegisterMemberShipInitial{}';
  }
}

class RegisterMemberShipLoading extends RegisterMemberShipState {
  @override
  String toString() {
    return 'RegisterMemberShipLoading{}';
  }
}

class RegisterMemberShipFailure extends RegisterMemberShipState {
  final String? error;

  RegisterMemberShipFailure(this.error);

  @override
  String toString() {
    return 'RegisterMemberShipFailure {error: $error}';
  }
}
